Bug 839298 - [Storage] [NFS Options] Giving maximum allowed retransmissions and timeout values causes to UI to get stuck.
[Storage] [NFS Options] Giving maximum allowed retransmissions and timeout va...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Asaf Shakarchi
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 09:45 EDT by Leonid Natapov
Modified: 2016-02-10 11:45 EST (History)
11 users (show)

See Also:
Fixed In Version: SI17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (685.32 KB, application/octet-stream)
2012-07-11 09:45 EDT, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2012-07-11 09:45:33 EDT
Created attachment 597577 [details]
logs

[Storage] [NFS Options] Giving maximum allowed retransmissions and timeout values causes to UI to get stuck.

How to reproduce:
1.Create NFS Storage Domain.
2.In the NFS options section give maximum allowed values (2147483647).
3.Click "ok"

UI gets stuck with the waiting circle running.
Even lower values causes to UI to get stuck.
We probably have to reconsider the maximum values limit.

engine and vdsm logs are attached
Comment 1 Asaf Shakarchi 2012-09-02 20:50:49 EDT
In nfs, per retransmission, timeout is increased by 'timeo' param up to the max value of 600 seconds.

Typical timeout for nfs (over TCP) is between 1-10 minutes,
Thus, it makes sense to limit the timeout field to 6000,

If retrans option is not set, nfs tries each request 3 times, it makes sense to limit this field for short values as well.
Comment 2 Asaf Shakarchi 2012-09-02 21:44:01 EDT
patch submitted: http://gerrit.ovirt.org/#/c/7692/
Comment 3 Ayal Baron 2012-09-03 01:52:00 EDT
(In reply to comment #1)
> In nfs, per retransmission, timeout is increased by 'timeo' param up to the
> max value of 600 seconds.
> 
> Typical timeout for nfs (over TCP) is between 1-10 minutes,
> Thus, it makes sense to limit the timeout field to 6000,
> 
> If retrans option is not set, nfs tries each request 3 times, it makes sense
> to limit this field for short values as well.

actually max timeout is 60 seconds, not 600.  The field is in tenths of seconds so max value is 600.
Comment 4 Allon Mureinik 2012-09-03 09:14:06 EDT
merged change id Ied1361fc327654d30818edb476414525bef3994e
Comment 5 vvyazmin@redhat.com 2012-09-06 08:13:06 EDT
Verified on RHEVM 3.1 - SI17

RHEVM: rhevm-3.1.0-15.el6ev.noarch
VDSM: vdsm-4.9.6-32.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.4.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.2.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64


Verified  with maximum parameters:
Retransmissions (#):            32767
Timeout (deciseconds):          6000

Note You need to log in before you can comment on or make changes to this bug.